## org.apache.http.client.methods
Class HttpEntityEnclosingRequestBase

    java.lang.Object
      org.apache.http.message.AbstractHttpMessage
          org.apache.http.client.methods.HttpRequestBase
              org.apache.http.client.methods.HttpEntityEnclosingRequestBase

All Implemented Interfaces:
  Cloneable, AbortableHttpRequest, HttpUriRequest, HttpEntityEnclosingRequest, HttpMessage, HttpRequest

Direct Known Subclasses:
  HttpPost, HttpPut

    @NotThreadSafe
    public abstract class HttpEntityEnclosingRequestBase

extends HttpRequestBase
implements HttpEntityEnclosingRequest

Basic implementation of an entity enclosing HTTP request that can be modified

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.message.AbstractHttpMessage
`headergroup, params`

Constructor Summary
`HttpEntityEnclosingRequestBase()`

Method Summary
`Object` `clone()`
`boolean` `expectContinue()`
`HttpEntity` `getEntity()`
`void` `setEntity(HttpEntity entity)`

Methods inherited from class org.apache.http.client.methods.HttpRequestBase
`abort, getMethod, getProtocolVersion, getRequestLine, getURI, isAborted, setConnectionRequest, setReleaseTrigger, setURI`

Methods inherited from class org.apache.http.message.AbstractHttpMessage
`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.http.HttpRequest
`getRequestLine`

Methods inherited from interface org.apache.http.HttpMessage
`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, getProtocolVersion, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

Constructor Detail

### HttpEntityEnclosingRequestBase

    public HttpEntityEnclosingRequestBase()

Method Detail

### getEntity

    public HttpEntity getEntity()

  Specified by:
    `getEntity` in interface `HttpEntityEnclosingRequest`

### setEntity

    public void setEntity(HttpEntity entity)

  Specified by:
    `setEntity` in interface `HttpEntityEnclosingRequest`

### expectContinue

    public boolean expectContinue()

  Specified by:
    `expectContinue` in interface `HttpEntityEnclosingRequest`

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    `clone` in class `HttpRequestBase`
  Throws:
    `CloneNotSupportedException`

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.